/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.action;

import woolpack.el.ELConstants;
import junit.framework.TestCase;

public class ForwardResultTest extends TestCase {

	public void testConstructor(){
		try{
			new ActionResult(null, "value0");
			fail();
		}catch(final NullPointerException expected){
		}
	}
	
	public void testGetSet(){
		final ForwardDef forwardDef = new ForwardDef("forwardId0", ELConstants.NULL, new ForwardMatcher(null));
		final Object expected = new Object();
		final ActionResult forwardResult = new ActionResult(forwardDef, expected);
		assertEquals(forwardDef, forwardResult.getForwardDef());
		assertEquals(expected, forwardResult.getReturnedObject());
	}
}
